"""
About.py
by Jason Conti
February 19, 2010

Shows the About dialog for the applet.
"""

import gtk

from Globals import VERSION
from Icon import load_icon

def show_about(parent):
  about = gtk.AboutDialog()

  about.set_authors(["Jason Conti <jason.conti@gmail.com>"])
  about.set_comments("View recent notifications")
  about.set_copyright(u"Copyright \xa9 2010 Jason Conti.")

  icon = load_icon("recent-notifications")
  if icon != None:
    about.set_logo(icon)

  about.set_name("Recent Notifications")
  about.set_version(VERSION)
  about.set_website("http://www.example.com/recent-notifications")

  about.connect("response", lambda self, *args: self.destroy())
  about.set_screen(parent.get_screen())
  about.show_all()

